Summary: code for handling all sorts of compressed and encrypted files
Name: crypt++
Version: 2.84
Release: 3
Copyright: GPL
Icon: gnu.gif
Group: Applications/Editors/Emacs
Source: ftp://ftp.cs.umb.edu/pub/misc/crypt++.el
Patch: crypt++-2.84-bzip2.patch
Packager: Kjetil Wiekhorst Jrgensen <jorgens@pvv.org>
Vendor: unknown
Distribution: Homegrown stuff for RedHat 5.*
BuildArchitectures: noarch
BuildRoot: /var/tmp/crypt++

%description
Crypt++ is a elisp package that lets emacs transparently handle a variety of encrypted and compressed files.

%prep
rm -rf crypt++-2.84
mkdir crypt++-2.84
cd crypt++-2.84
cp $RPM_SOURCE_DIR/crypt++.el .
%patch -p1

%build
cd crypt++-2.84
emacs -batch -f batch-byte-compile crypt++.el
sed '/;;; Code:/q' < crypt++.el > README

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/share
mkdir $RPM_BUILD_ROOT/usr/share/emacs
mkdir $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

cd crypt++-2.84
cp crypt++.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

%post
cat >> /usr/share/emacs/site-lisp/site-start.el <<EOF
;; crypt-start
(require 'crypt++)
;; crypt-end
EOF

%postun
ed /usr/share/emacs/site-lisp/site-start.el << EOF
/^;; crypt-start$/,/^;; crypt-end$/d
w
q
EOF

%clean
rm -rf $RPm_BUILD_ROOT

%files
%doc crypt++-2.84/README
/usr/share/emacs/site-lisp/crypt++.el
/usr/share/emacs/site-lisp/crypt++.elc
